> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contacts

> Get the contacts where the last message was in the last X days



## OpenAPI

````yaml /openapi.json get /api/public/whatsapp/contact/contacts
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/whatsapp/contact/contacts:
    get:
      tags:
        - Whatsapp contact
      summary: Get contacts
      description: Get the contacts where the last message was in the last X days
      operationId: PublicWhatsAppContactController_getContacts
      parameters:
        - name: days
          required: true
          in: query
          description: Number of days to get the contacts (1-365)
          schema:
            minimum: 1
            maximum: 365
            exclusiveMaximum: false
            exclusiveMinimum: false
            default: 1
            type: number
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Contacts retrieved successfully.
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.

````